%undefine __libtoolize

%global momorel 1
%{expand: %%global py_ver %(python -c 'import sys;print(sys.version[0:3])')}
%global md5sum_src0 7cb1bd6ca528bc4db5ec685549fd3eb1

Name: vte
Version: 0.12.2
Release: %{momorel}m
Summary: An experimental terminal emulator.
License: LGPL
Group: User Interface/X
BuildRoot: %{_tmppath}/%{name}-%{version}-root
%NoSource 0 ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/0.12/%{name}-%{version}.tar.bz2 %{md5sum_src0}
BuildPrereq: python-devel >= %{py_ver}
BuildPrereq: libzvt-devel
BuildPrereq: glib-devel >= 2.10.2
BuildPrereq: pygtk-devel
BuildPrereq: gtk+-devel >= 2.8.16
BuildPrereq: pango-devel >= 1.12.1
BuildPreReq: libICE-devel, libSM-devel, libX11-devel, libXcursor-devel
BuildPreReq: libXext-devel, libXfixes-devel, libXft-devel, libXi-devel
BuildPreReq: libXinerama-devel, libXrandr-devel, libXrender-devel

%description
VTE is an experimental terminal emulator widget for use with GTK+ 2.0.

%package devel
Summary: Files needed for developing applications which use vte.
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: glib-devel
Requires: pygtk-devel
Requires: gtk+-devel
Requires: pango-devel
Requires: python-devel >= %{py_ver}

%description devel
VTE is an experimental terminal emulator widget for use with GTK+ 2.0.  This
package contains the files needed for building applications using VTE.

%prep
%setup -q

%build
PYTHON=%{_bindir}/python%{py_ver}; export PYTHON
%configure --enable-gtk-doc
%make

%clean
rm -rf --preserve-root %{buildroot}

%install
rm -rf --preserve-root %{buildroot}
%makeinstall

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc ChangeLog COPYING HACKING NEWS README
%{_bindir}/vte
%{_libdir}/*.so.*
%{_libdir}/vte
%{_libdir}/python*/site-packages/gtk-*/vtemodule.*
%{_datadir}/vte
%{_datadir}/locale/*/*/*
%attr(2711,root,utmp) %{_libexecdir}/gnome-pty-helper

%files devel
%defattr(-,root,root)
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/*.so
%{_libdir}/pkgconfig/*
%doc %{_datadir}/gtk-doc/html/%{name}
%{_includedir}/vte

%changelog
* Sat May 27 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.12.2-1m)
- update to 0.12.2

* Thu May 25 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.12.1-2m)
- delete duplicate dir

* Thu Apr 27 2006 Masaru SANUKI <sanuki@momonga-linux.org>
- (0.12.1-1m)
- update to 0.12.1

* Sat Apr  8 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.12.0-1m)
- update to 0.12.0

* Sat Feb 18 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.11.18-1m)
- update to 0.11.18

* Sat Feb 11 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.11.17-1m)
- update to 0.11.17

* Tue Nov 22 2005 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.11.15-1m)
- version up
- GNOME 2.12.1 Desktop

* Sat Oct 29 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.11.11-4m)
- rebuild against python-2.4.2

* Tue Jan 27 2005 Masaru SANUKI <sanuki@momonga-linux.org>
- (0.11.11-3m)
- adjustment BuildPreReq

* Tue Sep  7 2004 Masahiro Takahata <takahata@momonga-linux.org>
- (0.11.11-2m)
- rebuild against python2.3

* Sun Aug 15 2004 Motonobu Ichimura <famao@momonga-linux.org>
- (0.11.11-1m)
- version 0.11.11

* Sat Apr 24 2004 Toru Hoshina <t@momomnga-linux.org>
- (0.11.10-5m)
- revised spec for rpm 4.2.

* Thu Apr 22 2004 Masaru SANUKI <sanuki@momonga-linux.org>
- (0.11.10-4m)
- GNOME 2.6 Desktop
- adjustment BuildPreReq

* Tue Apr  6 2004 Hiroyuki Koga <kuma@momonga-linux.org>
- (0.11.10-3m)
- BuildPrereq: pygtk -> pygtk-devel
- use %%momorel
- use %%NoSource and %%make

* Sat Mar 27 2004 Toru Hoshina <t@momonga-linux.org>
- (0.11.10-2m)
- revised spec for rpm 4.2.

* Tue Jun 17 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.11.10-1m)
- version 0.11.10

* Mon Jun 09 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.11.9-1m)
- version 0.11.9

* Thu May 08 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.11.6-1m)
- version 0.11.6

* Thu May 01 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.11.5-1m)
- version 0.11.5

* Fri Apr 18 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.11.3-1m)
- version 0.11.3

* Thu Mar 27 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.11.0-1m)
- version 0.11.0

* Fri Mar 07 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.10.26-2m)
- rebuild against for XFree86-4.3.0

* Wed Mar 05 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.10.26-1m)
- version 0.10.26

* Fri Feb 28 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.10.25-1m)
- version 0.10.25

* Mon Feb 24 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.10.23-1m)
- version 0.10.23

* Mon Feb 17 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.10.20-1m)
- version 0.10.20

* Fri Feb 14 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.10.19-1m)
- version 0.10.19

* Tue Feb 04 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.10.17-1m)
- version 0.10.17

* Mon Feb 03 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.10.16-1m)
- version 0.10.16

* Tue Jan 28 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.10.15-1m)
- version 0.10.15

* Sat Jan 25 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.10.14-1m)
- version 0.10.14

* Wed Jan 22 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.10.12-1m)
- version 0.10.12

* Mon Jan 20 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.10.11-1m)
- version 0.10.11

* Wed Jan 15 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.10.10-1m)
- version 0.10.10

* Tue Jan 14 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.10.8-1m)
- version 0.10.8

* Thu Dec 12 2002 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.10.7-1m)
- version 0.10.7

* Wed Dec 04 2002 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.10.5-1m)
- version 0.10.5

* Wed Nov 13 2002 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.10.4-1m)
- version 0.10.4

* Mon Nov 11 2002 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.10.3-1m)
- version 0.10.3

* Tue Oct 22 2002 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.9.2-1m)
- version 0.9.2

* Sat Oct  5 2002 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.9.0-1m)
- import
